# DocBook Cross References

## Modes

`db.xref.content.mode`

  FIXME

`db.xref.tooltip.mode`

  FIXME

## Templates

`db.ulink.tooltip`

  Generates the tooltip for an external link

`db.xref.content`

  Generates the content of a cross reference

`db.xref.target`

  Generates the target identifier of a cross reference

`db.xref.tooltip`

  Generates the tooltip for a cross reference

## `db.xref.content.mode`

FIXME

### Parameters

`xrefstyle`

  The cross reference style, usually from the `xrefstyle` attribute

`role`

  For a role-based `xrefstyle`, the role of the cross reference

### Description

## `db.xref.tooltip.mode`

FIXME

### Description

## `db.ulink.tooltip`

Generates the tooltip for an external link

### Parameters

`node`

  The element to generate a tooltip for

`url`

  The URL of the link, usually from the `url` attribute

### Description

## `db.xref.content`

Generates the content of a cross reference

### Parameters

`linkend`

  The id of the linked-to element, usually from the `linkend` attribute

`target`

  The linked-to element

`xrefstyle`

  The cross reference style, usually from the `xrefstyle` attribute

`role`

  For a role-based `xrefstyle`, the role of the cross reference

### Description

## `db.xref.target`

Generates the target identifier of a cross reference

### Parameters

`linkend`

  The id of the linked-to element, usually from the `linkend` attribute

`target`

  The linked-to element

`is_chunk`

  Whether `target` is known to be a chunked element

### Description

## `db.xref.tooltip`

Generates the tooltip for a cross reference

### Parameters

`linkend`

  The id of the linked-to element, usually from the `linkend` attribute

`target`

  The linked-to element

### Description